com.sudogeeks.talking_reminder.ReminderEditActivity Class Reference

Java class for handling UI component of Edit reminder layout. More...

Inheritance diagram for com.sudogeeks.talking_reminder.ReminderEditActivity:

## Public Member Functions

void | onActivityResult (int requestCode, int resultCode, Intent data)
void | setTime (View v)
void | setDate (View v)
void | onSwitchRepeat (View view)
void | selectRepeatType (View v)
void | setRepeatNo (View v)
void | updateReminder ()
void | onBackPressed ()
boolean | onCreateOptionsMenu (Menu menu)
boolean | onOptionsItemSelected (MenuItem item)

## Static Public Attributes

static final String | EXTRA_REMINDER_ID = "Reminder_ID"

## Protected Member Functions

void | onCreate (Bundle savedInstanceState)
void | onSaveInstanceState (Bundle outState)

## Detailed Description

Java class for handling UI component of Edit reminder layout.

Definition at line 32 of file ReminderEditActivity.java.

## Member Function Documentation

## onBackPressed()

void com.sudogeeks.talking_reminder.ReminderEditActivity.onBackPressed | ( |  | ) |

On pressing the back button

Definition at line 412 of file ReminderEditActivity.java.

## onCreate()

void com.sudogeeks.talking_reminder.ReminderEditActivity.onCreate | ( | Bundle | savedInstanceState | ) |

protected

overrides onCreate method to get all the ui element

Parameters

  savedInstanceState |

Definition at line 78 of file ReminderEditActivity.java.

## onCreateOptionsMenu()

boolean com.sudogeeks.talking_reminder.ReminderEditActivity.onCreateOptionsMenu | ( | Menu | menu | ) |

Creating the menu

Parameters

  menu |

Returns
  true

Definition at line 421 of file ReminderEditActivity.java.

## onOptionsItemSelected()

boolean com.sudogeeks.talking_reminder.ReminderEditActivity.onOptionsItemSelected | ( | MenuItem | item | ) |

On clicking menu buttons :Save reminder (to save reminder), send reminder(to send reminder), discard reminder(to discard reminder)

Parameters

  item |

Returns

Definition at line 431 of file ReminderEditActivity.java.

## onSwitchRepeat()

void com.sudogeeks.talking_reminder.ReminderEditActivity.onSwitchRepeat | ( | View | view | ) |

On clicking the repeat switch, to select for repeat alarm

Parameters

  view |

Definition at line 276 of file ReminderEditActivity.java.

## selectRepeatType()

void com.sudogeeks.talking_reminder.ReminderEditActivity.selectRepeatType | ( | View | v | ) |

On clicking repeat type button, to select for repeat type like every minute, hour, day,month

Parameters

  v |

Definition at line 292 of file ReminderEditActivity.java.

## setDate()

void com.sudogeeks.talking_reminder.ReminderEditActivity.setDate | ( | View | v | ) |

On clicking Date picker,to show date dialog for user to select date

Parameters

  v |

Definition at line 252 of file ReminderEditActivity.java.

## setRepeatNo()

void com.sudogeeks.talking_reminder.ReminderEditActivity.setRepeatNo | ( | View | v | ) |

On clicking set repeat interval

Parameters

  v |

Definition at line 322 of file ReminderEditActivity.java.

## setTime()

void com.sudogeeks.talking_reminder.ReminderEditActivity.setTime | ( | View | v | ) |

On clicking Time picker , to show time dialog for user to select time

Parameters

  v |

Definition at line 226 of file ReminderEditActivity.java.

## updateReminder()

void com.sudogeeks.talking_reminder.ReminderEditActivity.updateReminder | ( |  | ) |

To update reminder upon clicking update button

Definition at line 357 of file ReminderEditActivity.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/ReminderEditActivity.java